Bug 29075 - OPAC info should not be displayed in libraries table
Summary: OPAC info should not be displayed in libraries table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jérémy Breuillard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-21 22:03 UTC by Fridolin Somers
Modified: 2021-11-16 07:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.06,20.11.12


Attachments
Bug 29075: 'OPAC info' removed in branches.pl (2.62 KB, patch)
2021-10-27 11:52 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29075: 'OPAC info' removed in branches.pl (9.06 KB, patch)
2021-10-27 12:51 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29075: 'OPAC info' removed in branches.pl (9.06 KB, patch)
2021-10-27 13:16 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29075: 'OPAC info' removed in branches.pl (1.94 KB, patch)
2021-10-27 13:30 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29075: 'OPAC info' removed in branches.pl (1.99 KB, patch)
2021-10-28 18:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29075: 'OPAC info' removed in branches.pl (2.04 KB, patch)
2021-10-31 11:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-09-21 22:03:31 UTC
In Administration › Libraries, we see content of OPAC info as escaped HTML.
This content may be long and seeing HTML tags is strange.

We should not show it in this table.
Or maybe create a modal preview of it (not escaped HTML).
Comment 1 Jérémy Breuillard 2021-10-27 11:52:00 UTC Comment hidden (obsolete)
Comment 2 Jérémy Breuillard 2021-10-27 12:51:50 UTC Comment hidden (obsolete)
Comment 3 Jérémy Breuillard 2021-10-27 13:16:17 UTC Comment hidden (obsolete)
Comment 4 Jérémy Breuillard 2021-10-27 13:30:09 UTC
Created attachment 126996 [details] [review]
Bug 29075: 'OPAC info' removed in branches.pl

In Administration › Libraries, we see content of OPAC info as escaped HTML.
This content may be long and seeing HTML tags is strange.

We should not show it in this table.
Or maybe create a modal preview of it (not escaped HTML).

To test :
1) Home > Administration > Libraries
2) In 'Address' column notice the 'OPAC info' field (if this one is
filled) with visible HTML tags
3) Apply patch
4) Repeat 1) and 'OPAC info' field should be gone
Comment 5 Owen Leonard 2021-10-28 18:26:18 UTC
Created attachment 127072 [details] [review]
Bug 29075: 'OPAC info' removed in branches.pl

In Administration › Libraries, we see content of OPAC info as escaped HTML.
This content may be long and seeing HTML tags is strange.

We should not show it in this table.
Or maybe create a modal preview of it (not escaped HTML).

To test :
1) Home > Administration > Libraries
2) In 'Address' column notice the 'OPAC info' field (if this one is
filled) with visible HTML tags
3) Apply patch
4) Repeat 1) and 'OPAC info' field should be gone

Signed-off-by: Owen <oleonard@myacpl.org>
Comment 6 Owen Leonard 2021-10-28 18:27:42 UTC
I think this patch makes good sense, but it does raise the question: Why don't we have a "view" page for libraries? That would be the logical place to put all the information we store about libraries. It might even be useful to have that page accessible to all staff.
Comment 7 Katrin Fischer 2021-10-31 11:03:53 UTC
Created attachment 127127 [details] [review]
Bug 29075: 'OPAC info' removed in branches.pl

In Administration › Libraries, we see content of OPAC info as escaped HTML.
This content may be long and seeing HTML tags is strange.

We should not show it in this table.
Or maybe create a modal preview of it (not escaped HTML).

To test :
1) Home > Administration > Libraries
2) In 'Address' column notice the 'OPAC info' field (if this one is
filled) with visible HTML tags
3) Apply patch
4) Repeat 1) and 'OPAC info' field should be gone

Signed-off-by: Owen <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-10-31 11:05:23 UTC
(In reply to Owen Leonard from comment #6)
> I think this patch makes good sense, but it does raise the question: Why
> don't we have a "view" page for libraries? That would be the logical place
> to put all the information we store about libraries. It might even be useful
> to have that page accessible to all staff.

I am also in favor of this change - OPAC info doesn't really belong in the address column anyway. I am not sure about the view page concect as I think we only have this for suggestions so far but it could be something to look into. Another option might be a preview button like we have for news entries.
Comment 9 Jonathan Druart 2021-11-02 15:53:47 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-11-11 01:08:52 UTC
Will be in 21.05.06
Comment 11 Fridolin Somers 2021-11-11 01:16:48 UTC
Pushed to 20.11.x for 20.11.12
Comment 12 Victor Grousset/tuxayo 2021-11-16 07:33:32 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.